<template>
  <div>
    <v-row class="ma-0" align="center">
      <v-col cols="12 pa-0">
        <div>
          <multiselect
            selected-label=""
            deselect-label=""
            deselect-group-label=""
            select-group-label=""
            select-label=""
            v-model="selections"
            :options="data"
            :multiple="false"
            group-values="recomendations"
            group-label="name"
            :group-select="false"
            placeholder="Selecciona y agrega la recomendación"
            track-by="id"
            label="name"
            :close-on-select="false"
          >
            <template slot="option" slot-scope="props">
              <span v-if="props.option.name">
                <div
                  :style="
                    serviceSelected(props.option.id)
                      ? 'color: #000 !important;'
                      : ''
                  "
                  class="pa-3"
                >
                  {{ props.option.name }}
                </div>
              </span>
              <span v-if="props.option.$groupLabel">
                <div style="color: #333333" class="pa-3">
                  {{ props.option.$groupLabel }}
                </div>
              </span>
            </template>
            <span slot="noResult"
              >Oops! No elements found. Consider changing the search
              query.</span
            >
          </multiselect>
        </div>
      </v-col>
    </v-row>
  </div>
</template>

<style src="vue-multiselect/dist/vue-multiselect.min.css"></style>

<script>
import Multiselect from "vue-multiselect";

export default {
  name: "Choice",
  components: { Multiselect },
  props: {
    data: {
      type: [Array, Object],
      default: () => [],
      required: true,
    },
    tag: {
      type: String,
      default: "",
      required: false,
    },
  },
  data() {
    return {
      selections: [],
      selected: "",
    };
  },
  created() {},
  methods: {
    clean() {
      this.selections = [];
    },
    serviceSelected(id) {
      return this.selections && id == this.selections.id;
    },
    categoryByReco(id) {
      return this.data.find((e) => {
        return e.recomendations[0].name == id;
      });
    },
  },
  watch: {
    selections() {
      this.$emit("array", this.selections);
    },
  },
  computed: {
    notSelected() {
      let hash = {};
      this.selections.forEach((e) => {
        hash[e.id] = e.name;
      });
      return this.data.filter((e) => !(e.id in hash));
    },
  },
  mounted() {
    const buttonRight = document.getElementById("slideRight");
    const buttonLeft = document.getElementById("slideLeft");
    const buttonRight2 = document.getElementById("slideRight2");
    const buttonLeft2 = document.getElementById("slideLeft2");
    const divs = document.getElementsByClassName("choice-sidescroller");
    var i;
    for (i = 0; i < divs.length; i++) {
      divs[i].setAttribute("id", "container" + [i]);
    }

    buttonRight.onclick = function () {
      document.getElementById("container0").scrollLeft += 40;
    };
    buttonLeft.onclick = function () {
      document.getElementById("container0").scrollLeft -= 40;
    };
    buttonRight2.onclick = function () {
      document.getElementById("container1").scrollLeft += 40;
    };
    buttonLeft2.onclick = function () {
      document.getElementById("container1").scrollLeft -= 40;
    };
  },
};
</script>
